// This file was generated by gir (https://github.com/gtk-rs/gir)
// from
// from gir-files (https://github.com/gtk-rs/gir-files.git)
// DO NOT EDIT

glib::wrapper! {
    #[derive(Debug, PartialEq, Eq, PartialOrd, Ord, Hash)]
    pub struct MonitorIter(Boxed<ffi::ManetteMonitorIter>);

    match fn {
        copy => |ptr| glib::gobject_ffi::g_boxed_copy(ffi::manette_monitor_iter_get_type(), ptr as *mut _) as *mut ffi::ManetteMonitorIter,
        free => |ptr| glib::gobject_ffi::g_boxed_free(ffi::manette_monitor_iter_get_type(), ptr as *mut _),
        type_ => || ffi::manette_monitor_iter_get_type(),
    }
}
